## libsml 0.1.1+git20170608

=== debian/changelog ===
libsml (0.1.1+git20170608-2) unstable; urgency=medium

  * Add patch to allow building on non-Linux. (Closes: #873895)
  * Use O_NONBLOCK where available (Closes: #873894)
  * Declare compatibility with Policy 4.1.0

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sat, 16 Sep 2017 14:19:47 +0200

libsml (0.1.1+git20170608-1) unstable; urgency=medium

  * Initial release. (Closes: #864314)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Thu, 08 Jun 2017 20:17:01 +0200
