=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libsml
 Priority: optional
 Maintainer: Andreas Moog <andreas.moog@warperbbs.de>
-Build-Depends: debhelper (>= 11~), uuid-dev (>= 2.16), dh-exec
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10~), uuid-dev (>= 2.16), dh-exec
+Standards-Version: 4.1.0
 Section: libs
-Homepage: https://github.com/dailab/libsml
-Vcs-Git: https://salsa.debian.org/amoog-guest/libsml.git
-Vcs-Browser: https://salsa.debian.org/amoog-guest/libsml
+Homepage: http://github.com/dailab/libsml
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsml.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libsml.git;a=summary
 
 Package: libsml-dev
 Section: libdevel
