=== debian/watch ===
version=4
opts=uversionmangle=s/^\./0\./ \
https://github.com/dailab/libsml/releases	.*\/v?(\d*\.\d*.*)\.tar\.gz
