=== debian/changelog ===
libsml (0.1.1+git20180125-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Logan Rosen for FTBFS with gcc 10.
    (Closes: #957478)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 00:09:04 +0200

libsml (0.1.1+git20180125-1) unstable; urgency=medium

  * New upstream release
  * Update VCS-Uri to salsa
  * Install pkg-config file to multiarch directory
  * Use dh-compat level 11
  * Declare compliance with Policy 4.1.4
  * Update copyright years
  * Use uscan and Files-Excluded instead of get-orig-source
  * Add gitlab CI

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 13 May 2018 10:27:20 +0200
