=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.1.1+git%cd" \
https://github.com/volkszaehler/libsml \
HEAD debian uupdate
