=== debian/changelog ===
libsml (1.1.0-1) unstable; urgency=medium

  * New Upstream release
  * Changed to not require root during build

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Thu, 03 Aug 2023 06:12:50 +0200

libsml (1.0.2-3) unstable; urgency=medium

  * Fixed Vcs-Git branch syntax 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Fri, 14 Jul 2023 09:31:22 +0200

libsml (1.0.2-2) unstable; urgency=medium

  * Added watch file and improved Vcs-* attributes 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Thu, 13 Jul 2023 12:34:20 +0200

libsml (1.0.2-1) unstable; urgency=medium

  * Actually releases the fix that (Closes: #946525), see below.
  * Maintainer changed (Closes: #1034250) 
  * Moved to the volkszaehler repo 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Mon, 10 Jul 2023 10:44:57 +0200

libsml (0.1.1+git20191213-1) UNRELEASED; urgency=medium

  * New upstream snapshot
  * Update symbols file, some (erroneously exported) symbols are gone
  * Add comments to rules
  * Update copyright years
  * Change to correct github upstream project in debian/copyright
  * Update homepage to https://github.com/volkszaehler/libsml (Closes: #946525)
  * Update gitlab CI
  * Update standards version

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 17 Feb 2019 13:00:21 +0100
