=== debian/changelog ===
libsml (1.1.2-2) unstable; urgency=medium

  * Source-only upload 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Sun, 14 Jan 2024 19:57:50 +0100

libsml (1.1.2-1) unstable; urgency=medium

  * Added the libsml-utils package containing the sml_server utility  

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Sat, 13 Jan 2024 10:53:14 +0100
