=== debian/control ===
Source: libsml
Priority: optional
Maintainer: Joachim Zobel <jz-2017@heute-morgen.de>
Build-Depends: debhelper-compat (= 13), uuid-dev (>= 2.16), dh-exec, pandoc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: libs
Homepage: https://github.com/volkszaehler/libsml
Vcs-Git: https://github.com/volkszaehler/libsml.git
Vcs-Browser: https://github.com/volkszaehler/libsml

Package: libsml-dev
Section: libdevel
Architecture: any
Depends: libsml1 (= ${binary:Version}), uuid-dev (>= 2.16), ${misc:Depends}
Multi-Arch: same
Description: Header files for libSML
 libSML is a library which implements the Smart Messaging Language (SML)
 protocol specified by VDE's Forum Netztechnik/Netzbetrieb (FNN).
 It can be utilized to communicate to FNN specified Smart Meters
 or Smart Meter components (EDL/MUC).
 .
 This package includes header include files and an example for libSML

Package: libsml1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libsml-utils
Multi-Arch: same
Description: Library for the Smart Messaging Language (SML)
 libSML is a library which implements the Smart Messaging Language (SML)
 protocol specified by VDE's Forum Netztechnik/Netzbetrieb (FNN).
 It can be utilized to communicate to FNN specified Smart Meters
 or Smart Meter components (EDL/MUC).

Package: libsml-utils 
Architecture: any
Depends: libsml1, ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Small tool for testing and debugging libsml
 sml_server was originally intended as an example but is quite useful by itself.
