=== debian/rules ===
#!/usr/bin/make -f

# Build with all available hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VERSION=$(shell dpkg-parsechangelog --show-field Version 2>/dev/null | cut -f1 -d-)

execute_before_dh_auto_build:
	sed -i 's#"version":.*#"version": "${VERSION}",#' library.json 
	sed -i 's#Version:.*#Version: ${VERSION}#' sml.pc

execute_after_dh_auto_build:
	pandoc -o sml_server.1 -s -t man debian/sml_server.1.md

execute_after_dh_clean:
	rm -f sml_server.1

override_dh_auto_install:

%:
	dh $@
