=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?([\.\d]+)\.tar\.gz/libsml-$1\.tar\.gz/,\
downloadurlmangle=s/archive\/refs\/tags\/v([\.\d]+)\.tar\.gz/releases\/download\/v$1\/libsml-$1\.tar\.gz/ \
  https://github.com/volkszaehler/libsml/tags .*/v?([\.\d]+)\.tar\.gz
